
body{
    margin: 0;
    padding: 0;
    font-family:  Verdana, Geneva, Tahoma, sans-serif;
    font-style: inherit;
    align-items: center;
    justify-content: center;
    color: white;
}
#fondo{

    background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), 
    url(fondo1.jpeg);
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
    background-position: center ;
    min-height: 75vh; 
}

#logo{
    width: 15%;
    margin: 10px auto;
    padding:  50px;
}
#t1{
    width: 30%;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    font-size: 24px;
}
#t2{
    width: 35%;
    margin-left: auto;
    margin-right: auto;
    text-align: center; 
    font-size: 24px;
}
.pie_container{

    display: flex;
    width: 100%;
    height: 24vh;
    text-align: center;
    background-color: rgb(16, 16, 17);
}
.item{
    flex: 1;
    text-align: center;
    padding: 1.5%;
}
#redes{
    margin: auto;
    margin-right: auto;

    
}
#redes img{
width: 10%;
cursor: pointer;
transition: all 0.3s ease;
filter: invert(100%); 
}
#redes img:hover{
    filter: invert(50%);
}
input[type="button"]{
    
    display: block;
    width: 30%;
    height: 50px;
    margin: 2.1% auto;
    background-color: rgb(7, 29, 85);
    color: white;
    text-align: center;
    font-size: 20px;
    transition: all 0.5s;
    cursor: pointer;
    border-radius: 5px;
    border: none;
    letter-spacing: 2.5px;

}
input[type="button"]:hover{
    width: 32%;
    font-size: 22px;
    box-shadow: 0 5px #11172b;
}
input[type="button"]:active{
    background-color: #050e27;
    box-shadow: 0 5px #141414;
    transform: translateY(5px);
}
#ubicacion{
    width: 40%;
    height: 45px;
}
#ubicacion:hover{
    width: 45%;
    height: 50px;
}
#plataforma{
    padding-bottom: 4.3%;
}
.imgr{
    width: 2.5%;
    filter: invert(100%);
    margin-left: 2%;
}
a{
    text-decoration: none;
}



/*Estilos para pantallas de tamaño grandes (por ejemplo, laptops) */
@media screen and (min-device-width: 1200px) and (max-device-width: 1600px)  { 
 #t1, #t2 {
        width: 70%;
    }
    #fondo{
        background-position: center ;
        min-height: 80vh; 
    }
    #logo{

        display: flex;
        flex-direction: column;
        width: 20%;
        height: 20%;
        }
    .pie_container{

        display: flex;
        width: 100%;
        height: 30vh;
        text-align: center;
        background-color: rgb(16, 16, 17);
    }

    input[type="button"]{
        width: 50%;
        margin-top: 15%;
    }
    input[type="button"]:hover{
        width: 52%;
        font-size: 22px;
        box-shadow: 0 5px #11172b;
    }
    #ubicacion{
        width: 60%;
        height: 45px;
    }
    #ubicacion:hover{
        width: 65%;
        height: 50px;
    }
    #plataforma{
        margin-top: 15%;
    }

}


/*Estilos para pantallas de tamaño mediano (por ejemplo, tabletas) */
@media (min-width: 768px) and (max-width: 1199px) {
    #fondo{
        background-position: center ;
        min-height: 50vh; 
    }
    .pie_container{
        display: flex;
        width: 100%;
        height: 55vh;
        text-align: center;
        background-color: rgb(16, 16, 17);
    }
    #t1, #t2 {
        width: 70%;
    }
    #logo{
    display: flex;
    flex-direction: column;
    width: 30%;
    height: 30%;
    }
    input[type="button"]{
        margin-bottom: 5%;
        width: 65%;
    }
    input[type="button"]:hover{
        width: 67%;
        font-size: 22px;
        box-shadow: 0 5px #11172b;
    }
    #ubicacion{
        width: 90%;
        height: 45px;
    }
    #ubicacion:hover{
        width: 92%;
        height: 50px;
    }
    #plataforma{
        margin-top: 10%;
    }
    
    .item {
       font-size: 15px;

    }
    #direccion{
        display: flex;
        flex-direction: column;
    }
    #direccion img{
        display: flex;
        flex-direction: column;
        width: 5%;
        padding-left: 15%;
    }
    #redes{
       margin-bottom: 100%;
    }
 
}

/* Estilos para pantallas de tamaño pequeño-mediano (por ejemplo, teléfonos móviles de alta gama) */
@media (min-width: 380px) and (max-width: 767px) {
    #logo{
    display: flex;
    flex-direction: column;
    width: 30%;
    height: 30%;
    }
 #t1, #t2{
        width: 87%;
        text-align: center;
    }
    #fondo{
        background-position: center ;
        min-height: 95vh; 
    }

    .pie_container {
       height: 80vh;
        flex-direction: column;
    }
    input[type="button"]{
        margin-top: 15%;
        width: 90%;
        font-size: 12px;
    }
    input[type="button"]:hover{
        width: 92%;
        font-size: 13px;
    }

    .item {
        font-size: 12px;
    }

    #redes {
        width: 80%;
    }
    #t1{
      font-size: 20px;
    }
    #t2{
        font-size: 22px;
    }
    .imgr{
        width:1%;
        filter: invert(100%);
        margin-left: 2%;
    }

}

/*Estilos para pantallas de tamaño muy reducido (por ejemplo, telefonos moviles de tamaño promedio) */
@media (max-width: 379px){
    #fondo{
        background-position: center ;
        min-height:100vh; 
    }
    input[type="button"]{
        margin-top: 15%;
        width: 90%;
        font-size: 12px;
    }
    input[type="button"]:hover{
        width: 92%;
        font-size: 13px;
    }

    .pie_container {
       height: 80vh;

       
        flex-direction: column;
    }
    #logo{
        display: flex;
        flex-direction: column;
        width: 50%;
        height: 50%;
        }
    #t1, #t2{
        width: 90%;
        text-align: center;
        font-size: 18px;
        }
        
    .item {
        padding: 5%;
        font-size: 13px;
    }

    #redes {
        width: 80%;
    }
    .imgr{
        width:4%;
        filter: invert(100%);
        margin-left: 2%;
    }
    #direccion, #localizacion, #redes{
        height: 10%;
    }
}